import request from '@/utils/request'

// 查询活动列表
export function listStoreActivity(query) {
  return request({
    url: '/his/storeActivity/list',
    method: 'get',
    params: query
  })
}

// 查询活动详细
export function getStoreActivity(activityId) {
  return request({
    url: '/his/storeActivity/' + activityId,
    method: 'get'
  })
}

// 新增活动
export function addStoreActivity(data) {
  return request({
    url: '/his/storeActivity',
    method: 'post',
    data: data
  })
}

// 修改活动
export function updateStoreActivity(data) {
  return request({
    url: '/his/storeActivity',
    method: 'put',
    data: data
  })
}

// 删除活动
export function delStoreActivity(activityId) {
  return request({
    url: '/his/storeActivity/' + activityId,
    method: 'delete'
  })
}

// 导出活动
export function exportStoreActivity(query) {
  return request({
    url: '/his/storeActivity/export',
    method: 'get',
    params: query
  })
}
